import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.Statement;

/**
 * @author echatman
 */
public class TestGetUDTs {

    private static final String HOST = "localhost";
    private static final int PORT = 5432;
    private static final String DBNAME = "test";
    private static final String USERNAME = "postgres";
    private static final String PASSWORD = "";

    private static final String URL = "jdbc:postgresql://"+HOST+":"+PORT+"/"+DBNAME;

    public static void main(String[] args) throws Exception {
        for(int i = 0; i < 10; i++) {
            System.out.println(i);
            Connection connection = DriverManager.getConnection(URL, USERNAME, PASSWORD);
            Statement stmt = connection.createStatement();
            stmt.executeUpdate("CREATE TEMPORARY TABLE temp_"+i+" ();");
            stmt.close();
            connection.close();
            connection = DriverManager.getConnection(URL, USERNAME, PASSWORD);
            connection.getMetaData().getTypeInfo();
            connection.getMetaData().getUDTs(null, "information_schema", "%", null);
            connection.close();
        }
    }
}
